* SuperBASIC routine to convert string to float
*
        section code

        xdef    sb_str2flt

        xref    sb_str2num,stroffstk,flt2stk

*
sb_str2flt
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Description
* input :
*       a1  ->  start of string to convert on RI stack
*
* return: cc = set
*       a1  ->  floating point number on stack
*   $58(a6)     updated (string removed from stack)
*       d1/a0  undefined
*       errors: XP, OV
*       all other registeres preserved
*
        move.w  $100,d0         cv.decfp
        bsr     sb_str2num      convert a string to a number
        bne.s   error
        bsr     stroffstk       remove string from stack
        bsr     flt2stk         reserve space and move to stack
        moveq   #0,d0
error
        rts
*
        end
