* General ASCII to number conversion routine
* PWITTE June 27th 1995
*
        section code

        xdef    sb_str2num

        xref    str2num
*
sb_str2num
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Convert a string on the RI stack to a word integer on the RI stack via buffer
*
* input  :
*        d0  = vector (eg ($100) = decfp, ($102) = deciw..)
*        a1 -> start of string (including len)
*
* return :  cc  set
*        a0 ->  start of value in buffer
*        errors XP, OV
*        d1/a1 undefined
*        no other registers affected
*        SuperBASIC areas are liable to move.
*
        move.l  a2,-(a7)
        movea.w d0,a2           cv.aaaa vector address
*
        movea.l (a6),a0
        lea.l   30(a0),a0       we require at least this much space
        exg     a0,a1           pretend buffer is stack & visa versa
*
        bsr     str2num         convert and place on stack
        movea.l (a7)+,a2
        movea.l a1,a0           this is where the value is
        rts
*
        end
