* Check, reserve and create space on return stack

        section code

        xdef resrir

        include dev8_keys_qlv
        include dev8_keys_sbasic

*
resrir
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Allocate and reserve (additional) room on on ri.stack and point to it
* Ensure a1 is word aligned
*
* input  :
*          d1.l = number of bytes required
* return : cc     ???
*          d1     d1 (+ 1)
*          a1  -> free space, word aligned
*          errors: returns directly to SB (Qdos), err.imem (Smsq)
*          d0     smashed
*          no other registers affected
*          bv.rip may change during this call
*

        movem.l d1-d4/a2,-(a7)

        addq.l  #1,d1           round up and
        bclr    #0,d1            make even
        move.l  d1,d4

        move.w  qa.resri,a2     bv.chrix/qa.resri (does nothing if cmpiled)
        jsr     (a2)            returns to BASIC on error

        sub.l   d4,sb_arthp(a6)
        movem.l (a7)+,d1-d4/a2
        movea.l sb_arthp(a6),a1 a1 -> TOS

rts
        rts
*
        end
