* Move a word integer to RI stack
*
         section code

         xdef   int2stk

         xref   resrir

*
int2stk
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Description: Reserve room and move two bytes from buffer to the RI stack
*
* input :
*       a0  -> integer (two bytes, no len)
*
* return:   cc ???
*       a0     preserved
*       a1  -> value on stack
*       d1   = ???
*       errors: no error
*       no other registers affected, though bv.rip may change
*
        moveq   #2,d1
        bsr     resrir
        move.w  0(a6,a0.l),0(a6,a1.l)
        rts
*
        end
