* General SuperBASIC word mover: Buffer to ri.stack
* PWITTE June 27th 1995
* V0.02, pjw, May 29th 2019, new name: su_ - S*BASIC Utility

        section code
*
        xdef    su_movew01
*
su_movew01
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Moves a (padded even) string of bytes from (a6,a0.l) to (a6,a1.l)
* both a1 and a0 even
*
* input :
*        d1.w = number of bytes to move
*        a0  -> source (first byte to move)
*        a1  -> target
*
* return:  cc   ???
*        d1.w/a0-a1 all changed
*        no other registers affected
*
        addq.w  #1,d1           ;in case odd
        lsr.w   #1,d1           ;convert to word count
        bra.s   mv_lend
mv_loop
        move.w  0(a6,a0.l),0(a6,a1.l)
        addq.l  #2,a0
        addq.l  #2,a1
mv_lend
        dbra    d1,mv_loop
        rts
*
        end
