* ut_bf16to32
*
* V0.01, pjwitte 2oi9+
*
* Compatible with QDOS, Minerva and SMSQ/E (but GD2 gfx data only)
*

        section code

        xdef ut_bf16to32

        xref ut_bf16to33
        xref cv_33to32
        xref ut_bf3xto3x

*
ut_bf16to32
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Convert graphics data mode 16 to mode 32, in situ, ie destructive
* Convert 16 -> 33 -> 32
*
* d1.l = input buffer len in bytes
* a2  -> input buffer
* a3  -> output buffer
*
* d0/d1/d3-d5/a2-a4 smashed
* Always "succeeds" - no error or CC
*
        movem.l d1/a2/a3,-(sp)
        bsr ut_bf16to33

        movem.l (sp)+,d1/a2/a3

        add.l d1,d1             output buffer twice input buffer
        lea.l cv_33to32,a1
        bra ut_bf3xto3x
        nop

*
        end
