* ut_bf3xto3x
*
* V0.01, pjwitte 2oi9+
*
* Compatible with QDOS, Minerva and SMSQ/E (but GD2 gfx data only)
*

        section code

        xdef ut_bf3xto3x


*
ut_bf3xto3x
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Convert 16bit graphics data mode 32 or 33 to 16bit mode 33 or 32
* Source buffer and target buffer may refer to the same location
* No padding
*
* input:
* d1.l = input buffer len in bytes
* a1   = routine address, ie 33to32 or 32to33
* a2  -> input buffer
* a4  -> output buffer
*
* output:
* a2/a4        updated
* d0/d1/d3/a3  smashed
*
* Always "succeeds" - no error or CC
*

        bra.s lend

loop
        move.w (a2)+,d3

        jsr (a1)

        move.w d3,(a4)+

lend
        subq.l #2,d1
        bpl.s loop

        rts

*
        end
