* Convert RGB to native colour
*
* V0.01, pjwitte 2oi9+
*
* Conversion code, V2.00   1998, Tony Tebby, taken from SMSQ/E sources
*
* Compatible with QDOS, Minerva and SMSQ/E (but GD2 gfx data only)
*


        section code

        xdef ut_cv64to33
        xdef cv_64to33

*
ut_cv64to33
*
cv_64to33
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Convert one item of 32bit RGB mode 64 graphics data to mode 33 (Qx0/Q68)
*
* input:
* d3.l = RGB0           - colour to convert
*
* output:
* d0   = ???
* d3.w = GGGGGRRR RRBBBBBG
*
* All other registers unchanged
*
* Always "succeeds" - no error or CC
*
        swap     d3             BBBBBbbb ........ RRRRRrrr GGGGGGgg
        moveq    #1,d0
        lsr.b    #2,d3          BBBBBbbb ........ RRRRRrrr ..GGGGGG
        and.b    d3,d0
        lsr.b    #1,d3          BBBBBbbb ........ RRRRRrrr ...GGGGG
        ror.w    #5,d3          BBBBBbbb ........ GGGGGRRR RRrrr...
        lsr.w    #6,d3          BBBBBbbb ........ ......GG GGGRRRRR
        rol.l    #5,d3          bbb..... ........ .GGGGGRR RRRBBBBB
        add.w    d3,d3
        add.w    d0,d3          bbb..... ........ GGGGGRRR RRBBBBBG

        rts

*
        end
