* StrCmp: Alphabetical string comparison routines using case indifferent
* comparison. Without tables
*
*  PWITTE February 10th 1995, April 29th 1998, January 23rd 2002
*
* V0.02 - simplified: eq or neq only
* V0.03 - allows zero string length comparisons (afterall)
* V0.03s - special: str 0 is not a6 rel

        section code

        xdef strequ0nr

strequ0nr
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Compares two strings pointed to by a0 and a1 and sets the condition codes
* accordingly: eq => same, ne => different
*
* Entry conditions                              Exit conditions
*                                               Condition codes set (as above)
*                                               d0,d1,d3 =  ?
* a0  -> qstr 0                                 a0/a1 =  ?
* a1  -> qstr 1
*
        move.w 0(a6,a1.l),d3            get len1
        cmp.w (a0)+,d3                  same lengths?
        beq.s sc_lend                    yes, take into account zero len

        rts

sc_loop
        move.b (a0)+,d0                 get char0
        bsr.s upper
        move.b d0,d1

        move.b 2(a6,a1.l),d0            get char1
        addq.l #1,a1
        bsr.s upper

        cmp.b d0,d1

sc_lend
        dbne d3,sc_loop

        rts

upper
        cmpi.b #'a',d0
        blo.s notrans                   bcs.s
        cmpi.b #'z',d0
        bhi.s foreign
        subi.b #' ',d0
        rts

foreign
        cmpi.b #139,d0
        bhi.s notrans
        cmpi.b #128,d0
        blo.s notrans
        addi.b #' ',d0

notrans
        rts

*


        end
