* Get a string on the stack   V0.2    1985  Tony Tebby   QJUMP
* Modified to accept numbers and expressions (C) 1986 David Oliver CST V 4.00
*
        section code

        xdef    ut_stos
        xdef    ut_ntnam

* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* input : a3/a5 -> parameter list
* output: a1 -> string (a6 rel)
*         a3 -> next parameter
*         d0 = error
*         d1-d4/d6/a0/a2 smashed
*
ut_stos
        tst.w   2(a6,a3.l)      * Get name of parameter.                ** 4.00 **
*                               * If none, it must be an expression...  ** 4.00 **
        bmi.s   ut_gtstrg       * ... so convert the value to a string. ** 4.00 **

        moveq   #$0f,d0         ;extract type of parameter.
        and.b   1(a6,a3.l),d0
        subq.b  #1,d0           ;is it a string?
        bne.s   ut_gtnam        ;... no, get the name instead
ut_gtstrg
        move.l  a5,-(a7)        ;... yes, save the top pointer
        lea     8(a3),a5        ;get just one string
        move.w  $116,a2
        jsr     (a2)
        move.l  (a7)+,a5        ;restore top pointer
        beq.s   ut_ok
        bra.s   ut_rts
*
ut_gtnam
        moveq   #-15,d0         ;assume bad parameter
        moveq   #0,d1
        move.w  2(a6,a3.l),d1   ;get the pointer to the real entry
        bmi.s   ut_rts          ;... expression is no good
        lsl.l   #3,d1           ;in multiples of 8 bytes
        add.l   $18(a6),d1      ;bv.ntbas
ut_ntnam
        moveq   #0,d6
        move.w  2(a6,d1.l),d6   ;this is the pointer to the name
        add.l   $20(a6),d6      ;bv.nlbas
        moveq   #0,d1           ;get the length of the name as a long word
        move.b  0(a6,d6.l),d1
        addq.l  #1,d1           ;rounded up
        bclr    #0,d1
        move.w  d1,d4           ;and save it
        addq.l  #2,d1           ;space required is len +2 (+1) bytes

        move.l  d1,-(sp)

        move.w  $11a,a2         ;bv.chrix  on ri stack
        jsr     (a2)
        move.l  $58(a6),a1
        move.l (sp)+,d1
*
        add.w   d4,d6           ;move to end of string (ish)
ut_nam_loop
        subq.l  #1,a1           ;and copy one byte at a time
        move.b  0(a6,d6.l),0(a6,a1.l)
        subq.l  #1,d6
        dbra    d4,ut_nam_loop  ;including the (byte) name length
        subq.l  #1,a1           ;put a zero on to make it a word
        clr.b   0(a6,a1.l)
        move.l  a1,$58(a6)
ut_ok
        addq.l  #8,a3           ;move on to next par
        moveq   #0,d0
ut_rts
        rts

        end
