* Convert a long integer on stack to an word integer value on stack
*
         section code

         xdef   sb_lin2int

         xref   lin2int

*
sb_lin2int
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Description: Convert a long integer on the RI stack to word integer on
*              the RI stack
*
* input :
*       a1  -> integer on stack
*
* return:   cc set
*       a1  -> value on stack
*       d1   = ??? (actually word integer)
*       errors: OV
*       no other registers affected, though bv.rip may change
*
        move.l  0(a6,a1.l),d1   get long integer to convert
        bsr     lin2int         convert it
        bne.s   error           could overflow
        addq.l  #2,$58(a6)      update stack pointer
        move.l  $58(a6),a1
        move.w  d1,0(a6,a1.l)   put integer on the stack
        tst.l   d0              reassert error condition
error
        rts
*
        end
