* SuperBASIC routine to convert string to word integer
*
        section code

        xdef    sb_str2int

        xref    sb_str2num,stroffstk,int2stk

*
sb_str2int
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Description
* input :
*       a1  ->  start of string to convert on RI stack
*
* return: cc = set
*       a1  ->  floating point number on stack
*       d1/a0  undefined
*       errors: XP, OV
*       all other registeres preserved
*
        move.w  $102,d0         cv.deciw
        bsr     sb_str2num      convert a string to a number
        bne.s   error
        bsr     stroffstk       remove string from stack
        bsr     int2stk         reserve space and move to stack
        moveq   #0,d0
error
        rts
*
        end
