* ut_bf3xto16
*
* V0.01, pjwitte 2oi9+
*
* Compatible with QDOS, Minerva and SMSQ/E (but GD2 gfx data only)
*

        section code

        xdef ut_bf3xto16

        xref tab_rgb2aur

*
ut_bf3xto16
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Convert 16bit graphics data mode 32 or 33 to 8bit mode 16
* Target buffer may be the same as source buffer!
* No padding
*
* input:
* d0   = possibly some constant
* d1.l = input buffer len in bytes
* a1   = routine address: cv_32to16 or cv_33to16
* a2  -> input buffer
* a4  -> output buffer
*
* output:
* d0        preserved
* a2/a4     updated
* d1/d3/a3  smashed
*
* Always "succeeds" - no error or CC
*

        lea.l tab_rgb2aur,a3    both routines require this

        bra.s lend3x

loop3x
        move.w (a2)+,d3

        jsr (a1)

        move.b d3,(a4)+

lend3x
        subq.l #2,d1
        bpl.s loop3x

        rts

*
        end
