* cv_32to16
*
* V0.01, pjwitte 2oi9+
*
* Conversion code, V2.00   1998, Tony Tebby, taken from SMSQ/E sources
*
* Compatible with QDOS, Minerva and SMSQ/E (but GD2 gfx data only)
*

        section code

        xdef ut_cv32to16
        xdef cv_32to16

        xref tab_rgb2aur

*
ut_cv32to16
        lea.l tab_rgb2aur,a3
        moveq #10,d0

*
cv_32to16
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Convert one item of mode 32 graphics data to mode 16
*
* input:
* d0   = some constant
* d3.w = ggwBBBbb RRRrrGGG      - colour to convert
* a3  -> tab_rgb2aur
*
* output:
* d3.w = rrgggbbb
* d0/a3  preserved
*
* Always "succeeds" - no error or CC
*
        ror.w    #8,d3             ;           rrrrrggg gggbbbbb
        lsl.b    #3,d3             ;           rrrrrggg bbbbb000
        lsl.l    #3,d3             ;       rrr rrgggbbb bb000000
        lsl.w    #2,d3             ;       rrr gggbbbbb 00000000
        lsr.l    d0,d3             ;                  r rrgggbbb
        move.b   (a3,d3.w),d3

        rts

*
        end
