* ut_cv16to32
*
* V0.01, pjwitte 2oi9+
*
* Compatible with QDOS, Minerva and SMSQ/E (but GD2 gfx data only)
*

        section code

        xdef ut_cv16to32

        xref cv_16to32
        xref tab_16to33         !!!

*
ut_cv16to32
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* Convert one item of 8bit mode 16 graphics data to mode 33 (Qx0/Q68)
*
* input:
* d3.b = grbgrbgx       - colour to convert
*
* output:
* d3.w = mode 32 colour
* d4.w = $00ff
*
* All other regs unchanged
*
* Always "succeeds" - no error or CC
*
        move.l a3,-(sp)
        lea.l tab_16to33,a3
        move.w #$00ff,d4        byte mask
        bsr cv_16to32

        move.l (sp)+,a3
        rts

*
        end
